Loading...
Searching...
No Matches
Dune::StandardMathematicalConstants< T > Struct Template Reference

Standard implementation of MathematicalConstants. More...

`#include <dune/common/math.hh>`

Inheritance diagram for Dune::StandardMathematicalConstants< T >:

## Static Public Member Functions

static const T | e ()
| Euler's number.
static const T | pi ()
| Archimedes' constant.

## Detailed Description

template<class T>
struct Dune::StandardMathematicalConstants< T >

Standard implementation of MathematicalConstants.

This implementation will work with all built-in floating point types. It provides

e as exp(1.0) pi as acos(-1.0)

## Member Function Documentation

## e()

template<class T>

const T Dune::StandardMathematicalConstants< T >::e | ( |  | ) |

inline static

Euler's number.

## pi()

template<class T>

const T Dune::StandardMathematicalConstants< T >::pi | ( |  | ) |

inline static

Archimedes' constant.

The documentation for this struct was generated from the following file:

- math.hh